// Generated by CoffeeScript 1.9.1
var React, cx, objectAssign;

React = require('react');

cx = require('classnames');

objectAssign = require('react/lib/Object.assign');

module.exports = React.createClass({
  displayName: "SpinKit",
  getDefaultProps: function() {
    return {
      spinnerName: 'three-bounce',
      fadeIn: false
    };
  },
  propTypes: {
    spinnerName: React.PropTypes.string.isRequired,
    fadeIn: React.PropTypes.bool.isRequired
  },
  render: function() {
    var classes;
    classes = cx({
      spinner: true,
      "fade-in": this.props.fadeIn
    });
    if (this.props.className) {
      classes = classes + " " + this.props.className;
    }
    if (this.props.fadeIn) {
      require('../css/fade-in.css');
    }
    switch (this.props.spinnerName) {
      case "three-bounce":
        require('../css/three-bounce.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " three-bounce"
        }), React.createElement("div", {
          "className": "bounce1"
        }), React.createElement("div", {
          "className": "bounce2"
        }), React.createElement("div", {
          "className": "bounce3"
        }));
      case "double-bounce":
        require('../css/double-bounce.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " double-bounce"
        }), React.createElement("div", {
          "className": "double-bounce1"
        }), React.createElement("div", {
          "className": "double-bounce2"
        }));
      case "rotating-plane":
        require('../css/rotating-plane.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " rotating-plane"
        }));
      case "wave":
        require('../css/wave.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " wave"
        }), React.createElement("div", {
          "className": "rect1"
        }), React.createElement("div", {
          "className": "rect2"
        }), React.createElement("div", {
          "className": "rect3"
        }), React.createElement("div", {
          "className": "rect4"
        }), React.createElement("div", {
          "className": "rect5"
        }));
      case "wandering-cubes":
        require('../css/wandering-cubes.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " wandering-cubes"
        }), React.createElement("div", {
          "className": "cube1"
        }), React.createElement("div", {
          "className": "cube2"
        }));
      case "pulse":
        require('../css/pulse.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " pulse"
        }));
      case "chasing-dots":
        require('../css/chasing-dots.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " chasing-dots"
        }), React.createElement("div", {
          "className": "dot1"
        }), React.createElement("div", {
          "className": "dot2"
        }));
      case "circle":
        require('../css/circle.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " circle-wrapper"
        }), React.createElement("div", {
          "className": "circle1 circle"
        }), React.createElement("div", {
          "className": "circle2 circle"
        }), React.createElement("div", {
          "className": "circle3 circle"
        }), React.createElement("div", {
          "className": "circle4 circle"
        }), React.createElement("div", {
          "className": "circle5 circle"
        }), React.createElement("div", {
          "className": "circle6 circle"
        }), React.createElement("div", {
          "className": "circle7 circle"
        }), React.createElement("div", {
          "className": "circle8 circle"
        }), React.createElement("div", {
          "className": "circle9 circle"
        }), React.createElement("div", {
          "className": "circle10 circle"
        }), React.createElement("div", {
          "className": "circle11 circle"
        }), React.createElement("div", {
          "className": "circle12 circle"
        }));
      case "cube-grid":
        require('../css/cube-grid.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " cube-grid"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }), React.createElement("div", {
          "className": "cube"
        }));
      case "wordpress":
        require('../css/wordpress.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " wordpress"
        }), React.createElement("span", {
          "className": "inner-circle"
        }));
      case "fading-circle":
        require('../css/fading-circle.css');
        return React.createElement("div", React.__spread({}, this.props, {
          "className": classes + " fading-circle"
        }), React.createElement("div", {
          "className": "circle1 circle"
        }), React.createElement("div", {
          "className": "circle2 circle"
        }), React.createElement("div", {
          "className": "circle3 circle"
        }), React.createElement("div", {
          "className": "circle4 circle"
        }), React.createElement("div", {
          "className": "circle5 circle"
        }), React.createElement("div", {
          "className": "circle6 circle"
        }), React.createElement("div", {
          "className": "circle7 circle"
        }), React.createElement("div", {
          "className": "circle8 circle"
        }), React.createElement("div", {
          "className": "circle9 circle"
        }), React.createElement("div", {
          "className": "circle10 circle"
        }), React.createElement("div", {
          "className": "circle11 circle"
        }), React.createElement("div", {
          "className": "circle12 circle"
        }));
    }
  }
});
